/*
 * psrv.h - Process Image server
 */
#ifndef PSRV_H_
#define PSRV_H_

struct psrv_callbacks {
	int (*prepare_read_callback)(void);
	int (*end_read_callback)(void);
	int (*prepare_write_callback)(void);
	int (*end_write_callback)(void);
	int (*client_connect_callback)(void);
	void (*client_disconnect_callback)(void);
};

int psrv_init(struct io_context *io_ptr, const char *sockfile, void *inptr, size_t isize, void *optr, size_t osize, int master);

int psrv_register_callbacks(struct psrv_callbacks *new, struct psrv_callbacks *old);

void psrv_deinit();

#endif
